public class MovieBean extends org.w3c.tools.jdbc.JdbcBeanAdapter {
    
    protected int    movieid  = -1;
    protected String title    = null;
    protected String director = null;
    protected int    year     = -1;

    public void setMovieid(int movieid) {
	int oldvalue = this.movieid;
	this.movieid = movieid;
	pcs.firePropertyChange("movieid", oldvalue, movieid);
    }

    public int getMovieid() {
	return movieid;
    }

    public void setTitle(String title) {
	String oldvalue = this.title;
	this.title      = title;
	pcs.firePropertyChange("title", oldvalue, title);
    }

    public String getTitle() {
	return title;
    }

    public void setDirector(String director) {
	String oldvalue = this.director;
	this.director   = director;
	pcs.firePropertyChange("director", oldvalue, director);
    }

    public String getDirector() {
	return director;
    }


    public void setYear(int year) {
	int oldvalue = this.year;
	this.year    = year;
	pcs.firePropertyChange("year", oldvalue, year);
    }

    public int getYear() {
	return year;
    }
}

